﻿public class CheaperAdvancedNet : Mod
{
    private HarmonyLib.Harmony harmony;
    private static string modId = "hu.moli.raftmod.cheaperadvancednet";
    public void Start()
    {
        harmony = new HarmonyLib.Harmony(modId);
        harmony.PatchAll();
    }
    public void OnModUnload()
    {
        harmony.UnpatchAll(modId);
    }
    [HarmonyLib.HarmonyPatch(typeof(CraftingMenu), "SelectRecipe")]
    [HarmonyLib.HarmonyPriority(HarmonyLib.Priority.High)]
    public class HarmonyPatch_CraftingMenu_SelectRecipe
    {
        static void Prefix(ref Item_Base recipeItem, ref bool forceSelect)
        {
            if (recipeItem.UniqueName == "Placeable_CollectionNet_Advanced")
            {
                foreach (CostMultiple costMultiple in recipeItem.settings_recipe.NewCost)
                {
                    foreach (Item_Base item in costMultiple.items)
                    {
                        if (item.UniqueName == "TitaniumIngot")
                        {
                            costMultiple.amount = 1;
                        }
                    }
                }
            }
        }
    }
}
